polybori::groebner::PolyEntryBase Class Reference

This class defines the base of `PolyEntry`. More...

`#include <PolyEntryBase.h>`

Inheritance diagram for polybori::groebner::PolyEntryBase:

## Public Member Functions

| PolyEntryBase (const Polynomial &poly)

## Public Attributes

LiteralFactorization | literal_factors
Polynomial | p
Monomial | lead
wlen_type | weightedLength
len_type | length
deg_type | deg
deg_type | leadDeg
Exponent | leadExp
Monomial | gcdOfTerms
Exponent | usedVariables
Exponent | tailVariables
Polynomial | tail
bool | minimal
std::set< idx_type > | vPairCalculated
| set of variables with which pair was calculated More...

## Detailed Description

This class defines the base of `PolyEntry`.

## Constructor & Destructor Documentation

polybori::groebner::PolyEntryBase::PolyEntryBase | ( | const Polynomial & | poly | ) |

inline

References polybori::BoolePolynomial::eliminationLengthWithDegBound(), and polybori::BoolePolynomial::usedVariablesExp().

## Member Data Documentation

deg_type polybori::groebner::PolyEntryBase::deg

Referenced by polybori::groebner::should_propagate(), and polybori::groebner::wlen_literal_exceptioned().

Monomial polybori::groebner::PolyEntryBase::gcdOfTerms

Monomial polybori::groebner::PolyEntryBase::lead

Referenced by polybori::groebner::GroebnerStrategy::addVariablePairs(), polybori::groebner::extended_product_criterion(), polybori::groebner::PolyEntryIndices::insert(), polybori::groebner::MonomialTerms::isCompatible(), polybori::groebner::LLReductor::isCompatible(), polybori::groebner::ReductionStrategy::llReduce(), polybori::groebner::PolyEntryPtrLmLess::operator()(), polybori::groebner::CountCriterion::operator()(), polybori::groebner::reduce_by_small_entry(), polybori::groebner::ReductionTerms::related(), polybori::groebner::ReductionStrategy::setupSetsForElement(), polybori::groebner::TermsFacade< LeadingTerms00 >::update(), and polybori::groebner::PolyEntryIndices::update().

deg_type polybori::groebner::PolyEntryBase::leadDeg

Referenced by polybori::groebner::LLReductor::isCompatible(), and polybori::groebner::CountCriterion::operator()().

Exponent polybori::groebner::PolyEntryBase::leadExp

Referenced by polybori::groebner::GroebnerStrategy::add4ImplDelayed(), polybori::groebner::GroebnerStrategy::addVariablePairs(), polybori::groebner::PolyEntryIndices::insert(), polybori::groebner::PolyEntry::propagatableBy(), polybori::groebner::reduce_complete(), polybori::groebner::ReductionStrategy::setupSetsForElement(), and polybori::groebner::PolyEntryIndices::update().

len_type polybori::groebner::PolyEntryBase::length

Referenced by polybori::groebner::MonomialPlusOneTerms::isCompatible(), polybori::groebner::MonomialTerms::isCompatible(), polybori::groebner::reduce_by_small_entry(), polybori::groebner::reduce_complete(), polybori::groebner::should_propagate(), and polybori::groebner::wlen_literal_exceptioned().

LiteralFactorization polybori::groebner::PolyEntryBase::literal_factors

Referenced by polybori::groebner::GroebnerStrategy::addNonTrivialImplicationsDelayed(), polybori::groebner::GroebnerStrategy::addVariablePairs(), polybori::groebner::extended_product_criterion(), polybori::groebner::LeadingTerms11::isCompatible(), polybori::groebner::LeadingTerms00::isCompatible(), polybori::groebner::ReductionTerms::related(), and polybori::groebner::GroebnerStrategy::treatVariablePairs().

bool polybori::groebner::PolyEntryBase::minimal

Referenced by polybori::groebner::ReductionStrategy::llReduce().

Polynomial polybori::groebner::PolyEntryBase::p

Referenced by polybori::groebner::GroebnerStrategy::add4ImplDelayed(), polybori::groebner::GroebnerStrategy::addNonTrivialImplicationsDelayed(), polybori::groebner::MonomialPlusOneTerms::isCompatible(), polybori::groebner::MonomialTerms::isCompatible(), polybori::groebner::LLReductor::isCompatible(), polybori::groebner::PolyFromPolyEntry::operator()(), polybori::groebner::CountCriterion::operator()(), polybori::groebner::PolyEntry::propagatableBy(), polybori::groebner::reduce_by_small_entry(), polybori::groebner::reduce_complete(), polybori::groebner::ReductionTerms::related(), polybori::groebner::ReductionStrategy::setupSetsForElement(), polybori::groebner::GroebnerStrategy::treatVariablePairs(), and polybori::groebner::LLReductor::update().

Polynomial polybori::groebner::PolyEntryBase::tail

Referenced by polybori::groebner::ReductionStrategy::llReduce().

Exponent polybori::groebner::PolyEntryBase::tailVariables

Referenced by polybori::groebner::ReductionStrategy::llReduce().

Exponent polybori::groebner::PolyEntryBase::usedVariables

Referenced by polybori::groebner::GroebnerStrategy::add4ImplDelayed(), polybori::groebner::IsVariableOfIndex::operator()(), polybori::groebner::CountCriterion::operator()(), and polybori::groebner::GroebnerStrategy::treatVariablePairs().

std::set<idx_type> polybori::groebner::PolyEntryBase::vPairCalculated

set of variables with which pair was calculated

wlen_type polybori::groebner::PolyEntryBase::weightedLength

Referenced by polybori::groebner::wlen_literal_exceptioned().

The documentation for this class was generated from the following file:

- PolyEntryBase.h